Last modified: 2011-01-25 00:59:40 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16658 - Run refreshLinks.php on WMF wikis
Run refreshLinks.php on WMF wikis
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Normal minor (vote)
: ---
Assigned To: Nobody - You can work on this!
: shell
Depends on:
Blocks: 16660
  Show dependency treegraph
 
Reported: 2008-12-16 01:26 UTC by MZMcBride
Modified: 2011-01-25 00:59 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MZMcBride 2008-12-16 01:26:28 UTC
Please run refreshLinks.php on all Wikimedia wikis.
Comment 1 Brion Vibber 2008-12-16 01:42:33 UTC
Quick note -- the bit in refreshLinks that deletes link entries for pages that no longer exist needs to be fixed so it works in the replicated environment. Other than that I think it'll all be fine. :D

(Double-check if there's any other updates that should be batch-run other than the cleanup scripts which are currently running...)
Comment 2 Aaron Schulz 2008-12-29 19:28:58 UTC
What is this bug for? general cleanup?
Comment 3 MZMcBride 2008-12-29 19:30:28 UTC
Yes. It's a shell bug specific to Wikimedia.
Comment 4 Tim Starling 2009-03-20 06:30:08 UTC
refreshLinks.php is single-threaded and would probably take over a year to run on all Wikimedia wikis. It's not appropriate for this use anymore. I've run maintenance/gearman/gearmanRefreshLinks.php on most of the larger wikis, which does some of the tasks that refreshLinks.php used to do. If you have some particular problem that you think needs fixing, you'd better say so, so that we can make sure that the new script does it. Some prioritisation hints would also be nice.
Comment 5 Brion Vibber 2009-03-20 19:06:04 UTC
I'm actually gonna mark this one FIXED since the refreshes have been done, just with a different script. :)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links